/*
 * Name: EquationSimple
 * Description: Solves a quadratical equation. No bad cases are checked
 * Author: Juan Gomez Romero
 * Version: 1.0
 * Creation: October 13, 2009
 * Modification: October 4, 2011
 */

import java.util.Scanner;

public class EquationSimple {

	public static void main(String[] args) {
		
		/* Declare variables */
		double a, b, c;
		
		/* Read values from the keyboard */
		Scanner sc = new Scanner(System.in);
		System.out.print("a? ");
		a = sc.nextDouble();
		System.out.print("b? ");
		b = sc.nextDouble();
		System.out.print("c? ");
		c = sc.nextDouble();
		
		/* Calculate solutions */
		double x1, x2;
		x1 = (-b + Math.sqrt(b*b - 4*a*c) ) / (2 * a);
		x2 = (-b - Math.sqrt(b*b - 4*a*c) ) / (2 * a);
		
		/* Print results on the screen */
		System.out.println("Equation: ");
		System.out.println(a + "x^2 + " + b + "x + " + c + " = 0");
		System.out.println();
		System.out.println("Solutions: ");
		System.out.println("x1: " + x1);
		System.out.println("x2: " + x2);
	}

}
